Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.event
Class LogOrphanedKeyAction

    java.lang.Object
      org.apache.openjpa.event.LogOrphanedKeyAction

All Implemented Interfaces:
  OrphanedKeyAction

    public class LogOrphanedKeyAction

extends Object
implements OrphanedKeyAction

Log a message when an orphaned key is discovered.

Since:
  0.3.2.2
Author:
  Abe White

Constructor Summary
`LogOrphanedKeyAction()`

Method Summary
`String` | `getChannel()` The channel to log to.
`short` | `getLevel()` The level to log at.
`Object` | `orphan(Object oid, OpenJPAStateManager sm, ValueMetaData vmd)` Callback received when OpenJPA discovers an orphaned key.
`void` | `setChannel(String channel)` The channel to log to.
`void` | `setLevel(short level)` The level to log at.
`void` | `setLevel(String level)` The level to log at.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogOrphanedKeyAction

    public LogOrphanedKeyAction()

Method Detail

### getChannel

    public String getChannel()

  The channel to log to. Defaults to `org.apache.openjpa.Runtime`.

### setChannel

    public void setChannel(String channel)

  The channel to log to. Defaults to `org.apache.openjpa.Runtime`.

### getLevel

    public short getLevel()

  The level to log at. Defaults to `WARN`.

### setLevel

    public void setLevel(short level)

  The level to log at. Defaults to `WARN`.

### setLevel

    public void setLevel(String level)

  The level to log at. Defaults to `WARN`.

### orphan

    public Object orphan(Object oid,
                         OpenJPAStateManager sm,
                         ValueMetaData vmd)

  Description copied from interface: `OrphanedKeyAction`
  Callback received when OpenJPA discovers an orphaned key.

  Specified by:
    `orphan` in interface `OrphanedKeyAction`
  Parameters:
    `oid` - the orphaned key
    `sm` - the instance representing the record in which the key was discovered; may be null
    `vmd` - the value in which the key was discovered
  Returns:
    the value to load into field `fmd`; typically `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.